/*
 * Copyright (C) 2015 RECRUIT LIFESTYLE CO., LTD.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package main.java.jp.co.recruit_lifestyle.android.widget;

import android.graphics.Path;

/**
 * @author amyu
 */
public class LoadingPath {

  public static Path getPath(float width) {
    Path path = new Path();

    path.moveTo(0.641f * width, 0.859f * width);
    path.cubicTo(0.642f * width, 0.864f * width, 0.646f * width, 0.866f * width, 0.649f * width,
        0.867f * width);
    path.cubicTo(0.683f * width, 0.874f * width, 0.703f * width, 0.854f * width, 0.7f * width,
        0.847f * width);
    path.cubicTo(0.699f * width, 0.847f * width, 0.698f * width, 0.844f * width, 0.694f * width,
        0.844f * width);
    path.cubicTo(0.689f * width, 0.844f * width, 0.683f * width, 0.849f * width, 0.677f * width,
        0.865f * width);
    path.cubicTo(0.665f * width, 0.895f * width, 0.665f * width, 0.903f * width, 0.656f * width,
        0.913f * width);
    path.cubicTo(0.638f * width, 0.931f * width, 0.63f * width, 0.917f * width, 0.63f * width,
        0.913f * width);
    path.cubicTo(0.63f * width, 0.91f * width, 0.63f * width, 0.908f * width, 0.632f * width,
        0.906f * width);
    path.cubicTo(0.636f * width, 0.902f * width, 0.644f * width, 0.903f * width, 0.65f * width,
        0.905f * width);
    path.cubicTo(0.667f * width, 0.912f * width, 0.67f * width, 0.921f * width, 0.681f * width,
        0.919f * width);
    path.cubicTo(0.693f * width, 0.917f * width, 0.697f * width, 0.91f * width, 0.701f * width,
        0.903f * width);
    path.cubicTo(0.714f * width, 0.885f * width, 0.716f * width, 0.885f * width, 0.716f * width,
        0.885f * width);
    path.cubicTo(0.715f * width, 0.884f * width, 0.705f * width, 0.894f * width, 0.702f * width,
        0.907f * width);
    path.cubicTo(0.702f * width, 0.911f * width, 0.702f * width, 0.917f * width, 0.709f * width,
        0.917f * width);
    path.cubicTo(0.718f * width, 0.917f * width, 0.728f * width, 0.905f * width, 0.729f * width,
        0.891f * width);
    path.cubicTo(0.729f * width, 0.888f * width, 0.727f * width, 0.883f * width, 0.725f * width,
        0.883f * width);
    path.cubicTo(0.72f * width, 0.883f * width, 0.713f * width, 0.901f * width, 0.72f * width,
        0.908f * width);
    path.cubicTo(0.723f * width, 0.91f * width, 0.728f * width, 0.91f * width, 0.731f * width,
        0.908f * width);
    path.cubicTo(0.738f * width, 0.905f * width, 0.739f * width, 0.899f * width, 0.746f * width,
        0.892f * width);
    path.cubicTo(0.756f * width, 0.882f * width, 0.769f * width, 0.883f * width, 0.769f * width,
        0.882f * width);
    path.cubicTo(0.769f * width, 0.882f * width, 0.754f * width, 0.883f * width, 0.746f * width,
        0.892f * width);
    path.cubicTo(0.744f * width, 0.895f * width, 0.736f * width, 0.902f * width, 0.738f * width,
        0.909f * width);
    path.cubicTo(0.738f * width, 0.912f * width, 0.74f * width, 0.916f * width, 0.743f * width,
        0.917f * width);
    path.cubicTo(0.753f * width, 0.919f * width, 0.77f * width, 0.883f * width, 0.769f * width,
        0.882f * width);
    path.cubicTo(0.768f * width, 0.882f * width, 0.765f * width, 0.893f * width, 0.759f * width,
        0.907f * width);
    path.cubicTo(0.758f * width, 0.908f * width, 0.759f * width, 0.917f * width, 0.763f * width,
        0.916f * width);
    path.cubicTo(0.77f * width, 0.916f * width, 0.777f * width, 0.906f * width, 0.785f * width,
        0.894f * width);
    path.cubicTo(0.788f * width, 0.889f * width, 0.793f * width, 0.885f * width, 0.8f * width,
        0.883f * width);
    path.cubicTo(0.803f * width, 0.882f * width, 0.808f * width, 0.88f * width, 0.81f * width,
        0.882f * width);
    path.cubicTo(0.804f * width, 0.894f * width, 0.801f * width, 0.903f * width, 0.801f * width,
        0.903f * width);
    path.cubicTo(0.802f * width, 0.904f * width, 0.811f * width, 0.887f * width, 0.811f * width,
        0.883f * width);
    path.cubicTo(0.812f * width, 0.877f * width, 0.78f * width, 0.888f * width, 0.779f * width,
        0.905f * width);
    path.cubicTo(0.779f * width, 0.909f * width, 0.78f * width, 0.914f * width, 0.784f * width,
        0.915f * width);
    path.cubicTo(0.794f * width, 0.918f * width, 0.808f * width, 0.894f * width, 0.812f * width,
        0.879f * width);
    path.cubicTo(0.817f * width, 0.865f * width, 0.823f * width, 0.851f * width, 0.823f * width,
        0.851f * width);
    path.cubicTo(0.823f * width, 0.851f * width, 0.819f * width, 0.861f * width, 0.802f * width,
        0.905f * width);
    path.cubicTo(0.802f * width, 0.909f * width, 0.802f * width, 0.915f * width, 0.805f * width,
        0.915f * width);
    path.cubicTo(0.812f * width, 0.914f * width, 0.835f * width, 0.881f * width, 0.835f * width,
        0.882f * width);
    path.cubicTo(0.836f * width, 0.882f * width, 0.831f * width, 0.89f * width, 0.827f * width,
        0.901f * width);
    path.cubicTo(0.824f * width, 0.908f * width, 0.824f * width, 0.912f * width, 0.825f * width,
        0.913f * width);
    path.cubicTo(0.826f * width, 0.913f * width, 0.827f * width, 0.915f * width, 0.829f * width,
        0.914f * width);
    path.cubicTo(0.845f * width, 0.904f * width, 0.842f * width, 0.894f * width, 0.858f * width,
        0.882f * width);
    path.cubicTo(0.86f * width, 0.881f * width, 0.861f * width, 0.881f * width, 0.862f * width,
        0.881f * width);
    path.cubicTo(0.869f * width, 0.884f * width, 0.854f * width, 0.912f * width, 0.855f * width,
        0.913f * width);
    path.cubicTo(0.855f * width, 0.913f * width, 0.867f * width, 0.885f * width, 0.879f * width,
        0.88f * width);
    path.cubicTo(0.88f * width, 0.88f * width, 0.882f * width, 0.879f * width, 0.884f * width,
        0.88f * width);
    path.cubicTo(0.887f * width, 0.882f * width, 0.885f * width, 0.889f * width, 0.885f * width,
        0.891f * width);
    path.cubicTo(0.882f * width, 0.898f * width, 0.878f * width, 0.906f * width, 0.878f * width,
        0.909f * width);
    path.cubicTo(0.878f * width, 0.909f * width, 0.879f * width, 0.913f * width, 0.882f * width,
        0.912f * width);
    path.cubicTo(0.887f * width, 0.911f * width, 0.897f * width, 0.9f * width, 0.904f * width,
        0.888f * width);
    path.cubicTo(0.909f * width, 0.879f * width, 0.927f * width, 0.875f * width, 0.928f * width,
        0.877f * width);
    path.cubicTo(0.928f * width, 0.877f * width, 0.904f * width, 0.875f * width, 0.896f * width,
        0.904f * width);
    path.cubicTo(0.896f * width, 0.907f * width, 0.9f * width, 0.913f * width, 0.903f * width,
        0.912f * width);
    path.cubicTo(0.926f * width, 0.903f * width, 0.926f * width, 0.876f * width, 0.928f * width,
        0.878f * width);
    path.cubicTo(0.928f * width, 0.878f * width, 0.909f * width, 0.93f * width, 0.902f * width,
        0.943f * width);
    path.cubicTo(0.901f * width, 0.945f * width, 0.898f * width, 0.948f * width, 0.896f * width,
        0.947f * width);
    path.cubicTo(0.893f * width, 0.947f * width, 0.892f * width, 0.943f * width, 0.891f * width,
        0.941f * width);
    path.cubicTo(0.89f * width, 0.936f * width, 0.896f * width, 0.923f * width, 0.913f * width,
        0.912f * width);
    path.cubicTo(0.919f * width, 0.909f * width, 0.929f * width, 0.9f * width, 0.933f * width,
        0.895f * width);

    return path;
  }

  public static Path getCirclePath(float width) {
    Path path = new Path();
    path.moveTo(0.843f * width,  0.857f * width);
    path.cubicTo(
        0.844f * width,  0.857f * width,
        0.845f * width,  0.858f * width,
        0.845f * width,  0.86f * width
    );
    path.cubicTo(
        0.845f * width,  0.861f * width,
        0.844f * width,  0.862f * width,
        0.843f * width,  0.862f * width
    );
    path.cubicTo(
        0.842f * width,  0.862f * width,
        0.841f * width,  0.861f * width,
        0.841f * width,  0.86f * width
    );
    path.cubicTo(
        0.841f * width,  0.859f * width,
        0.842f * width,  0.857f * width,
        0.843f * width,  0.857f * width
    );
    return path;
  }
}
